[Unit]
Description={{ compose_project.name }} service with docker compose
PartOf=docker.service
After=docker.service

[Service]
Type=simple
WorkingDirectory={{ project_dir }}/compose
ExecStart=/usr/bin/docker compose --progress quiet{% for file in compose_project.files | default([]) %} -f {{ file }}{% endfor %} up --no-recreate --remove-orphans{% if docker_compose_force_pull %} --pull {{ docker_compose_force_pull }} {% endif %} {{ compose_project.services | default([]) | join(" ") }}
ExecStop=/usr/bin/docker compose stop
StandardOutput=null
SuccessExitStatus=130 SIGKILL

[Install]
WantedBy=multi-user.target
